Blocks

Block data.

Blocks

Lists the blocks.

GEThttps://api.routescan.io/v2/network/{networkId}/evm/{chainId}/blocks
GET
ecosystemstringoptional
includedChainIdsarray<string>optional
excludedChainIdsarray<string>optional
https://api.routescan.io/v2/network/mainnet/evm/all/blocks?sort=desc&address=0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045&apikey=YourApiKeyToken
1curl 'https://api.routescan.io/v2/network/mainnet/evm/all/blocks?sort=desc&address=0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045' \
2 -H 'apikey: YourApiKeyToken'
1{
2 items: {
3 number: number;
4 id: string;
5 parent: string;
6 chainId: string;
7 ecosystems?: string[];
8 size: string;
9 volume: string;
10 gasLimit: string;
11 gasUsed: string;
12 atomic: boolean;
13 burnedFees: string;
14 timestamp: string; // date-time
15 currentBlockNumber?: number;
16 txCount: number;
17 atomicTxCount: number;
18 miner: string;
19 minerReward: Record<string, unknown>;
20 }[];
21 count?: number;
22 countType?: "exact" | "lowerBound" | "approx";
23 link: {
24 next?: string;
25 nextToken?: string;
26 prev?: string;
27 prevToken?: string;
28 };
29}

Responses

200Default Response
Questions? Contact us